// source: v1/order_web/offer_web.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var v1_order_common_pb = require('../../v1/order/common_pb.js');
goog.object.extend(proto, v1_order_common_pb);
var v1_order_enum_pb = require('../../v1/order/enum_pb.js');
goog.object.extend(proto, v1_order_enum_pb);
var v1_order_model_offer_pb = require('../../v1/order/model_offer_pb.js');
goog.object.extend(proto, v1_order_model_offer_pb);
goog.exportSymbol('proto.fcp.order.v1.order_web.ActivateMultiOfferRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.ActivateMultiOfferResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.ActivateOfferRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.ActivateOfferResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.DeleteMultiOfferRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.DeleteMultiOfferResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.RejectMultiOfferRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.RejectMultiOfferResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.RejectOfferRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.RejectOfferResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.SaveMultiOfferRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.SaveMultiOfferResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.SaveOfferRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_web.SaveOfferResponse', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.SaveOfferRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order_web.SaveOfferRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.SaveOfferRequest.displayName = 'proto.fcp.order.v1.order_web.SaveOfferRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.SaveOfferResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order_web.SaveOfferResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.SaveOfferResponse.displayName = 'proto.fcp.order.v1.order_web.SaveOfferResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order_web.ActivateOfferRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.ActivateOfferRequest.displayName = 'proto.fcp.order.v1.order_web.ActivateOfferRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.ActivateOfferResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order_web.ActivateOfferResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.ActivateOfferResponse.displayName = 'proto.fcp.order.v1.order_web.ActivateOfferResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.RejectOfferRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order_web.RejectOfferRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.RejectOfferRequest.displayName = 'proto.fcp.order.v1.order_web.RejectOfferRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.RejectOfferResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order_web.RejectOfferResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.RejectOfferResponse.displayName = 'proto.fcp.order.v1.order_web.RejectOfferResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_web.SaveMultiOfferRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_web.SaveMultiOfferRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.SaveMultiOfferRequest.displayName = 'proto.fcp.order.v1.order_web.SaveMultiOfferRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_web.SaveMultiOfferResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_web.SaveMultiOfferResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.SaveMultiOfferResponse.displayName = 'proto.fcp.order.v1.order_web.SaveMultiOfferResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_web.ActivateMultiOfferRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.displayName = 'proto.fcp.order.v1.order_web.ActivateMultiOfferRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_web.ActivateMultiOfferResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.displayName = 'proto.fcp.order.v1.order_web.ActivateMultiOfferResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_web.DeleteMultiOfferRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.displayName = 'proto.fcp.order.v1.order_web.DeleteMultiOfferRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_web.DeleteMultiOfferResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.displayName = 'proto.fcp.order.v1.order_web.DeleteMultiOfferResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_web.RejectMultiOfferRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_web.RejectMultiOfferRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.RejectMultiOfferRequest.displayName = 'proto.fcp.order.v1.order_web.RejectMultiOfferRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_web.RejectMultiOfferResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_web.RejectMultiOfferResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_web.RejectMultiOfferResponse.displayName = 'proto.fcp.order.v1.order_web.RejectMultiOfferResponse';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.SaveOfferRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.SaveOfferRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && v1_order_model_offer_pb.Offer.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.SaveOfferRequest}
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.SaveOfferRequest;
  return proto.fcp.order.v1.order_web.SaveOfferRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.SaveOfferRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.SaveOfferRequest}
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_offer_pb.Offer;
      reader.readMessage(value,v1_order_model_offer_pb.Offer.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.SaveOfferRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.SaveOfferRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      v1_order_model_offer_pb.Offer.serializeBinaryToWriter
    );
  }
};


/**
 * optional fcp.order.v1.order.Offer item = 1;
 * @return {?proto.fcp.order.v1.order.Offer}
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.prototype.getItem = function() {
  return /** @type{?proto.fcp.order.v1.order.Offer} */ (
    jspb.Message.getWrapperField(this, v1_order_model_offer_pb.Offer, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.Offer|undefined} value
 * @return {!proto.fcp.order.v1.order_web.SaveOfferRequest} returns this
*/
proto.fcp.order.v1.order_web.SaveOfferRequest.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order_web.SaveOfferRequest} returns this
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order_web.SaveOfferRequest.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.SaveOfferResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.SaveOfferResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.SaveOfferResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.SaveOfferResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.SaveOfferResponse}
 */
proto.fcp.order.v1.order_web.SaveOfferResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.SaveOfferResponse;
  return proto.fcp.order.v1.order_web.SaveOfferResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.SaveOfferResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.SaveOfferResponse}
 */
proto.fcp.order.v1.order_web.SaveOfferResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.SaveOfferResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.SaveOfferResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.SaveOfferResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.SaveOfferResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order_web.SaveOfferResponse.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order_web.SaveOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.SaveOfferResponse.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.ActivateOfferRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.ActivateOfferRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.ActivateOfferRequest}
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.ActivateOfferRequest;
  return proto.fcp.order.v1.order_web.ActivateOfferRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.ActivateOfferRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.ActivateOfferRequest}
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.ActivateOfferRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.ActivateOfferRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order_web.ActivateOfferRequest} returns this
 */
proto.fcp.order.v1.order_web.ActivateOfferRequest.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.ActivateOfferResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.ActivateOfferResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.ActivateOfferResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.ActivateOfferResponse.toObject = function(includeInstance, msg) {
  var f, obj = {

  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.ActivateOfferResponse}
 */
proto.fcp.order.v1.order_web.ActivateOfferResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.ActivateOfferResponse;
  return proto.fcp.order.v1.order_web.ActivateOfferResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.ActivateOfferResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.ActivateOfferResponse}
 */
proto.fcp.order.v1.order_web.ActivateOfferResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.ActivateOfferResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.ActivateOfferResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.ActivateOfferResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.ActivateOfferResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.RejectOfferRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.RejectOfferRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.RejectOfferRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.RejectOfferRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.RejectOfferRequest}
 */
proto.fcp.order.v1.order_web.RejectOfferRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.RejectOfferRequest;
  return proto.fcp.order.v1.order_web.RejectOfferRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.RejectOfferRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.RejectOfferRequest}
 */
proto.fcp.order.v1.order_web.RejectOfferRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.RejectOfferRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.RejectOfferRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.RejectOfferRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.RejectOfferRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order_web.RejectOfferRequest.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order_web.RejectOfferRequest} returns this
 */
proto.fcp.order.v1.order_web.RejectOfferRequest.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.RejectOfferResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.RejectOfferResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.RejectOfferResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.RejectOfferResponse.toObject = function(includeInstance, msg) {
  var f, obj = {

  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.RejectOfferResponse}
 */
proto.fcp.order.v1.order_web.RejectOfferResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.RejectOfferResponse;
  return proto.fcp.order.v1.order_web.RejectOfferResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.RejectOfferResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.RejectOfferResponse}
 */
proto.fcp.order.v1.order_web.RejectOfferResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.RejectOfferResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.RejectOfferResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.RejectOfferResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.RejectOfferResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.SaveMultiOfferRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.SaveMultiOfferRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    v1_order_model_offer_pb.Offer.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferRequest}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.SaveMultiOfferRequest;
  return proto.fcp.order.v1.order_web.SaveMultiOfferRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.SaveMultiOfferRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferRequest}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_offer_pb.Offer;
      reader.readMessage(value,v1_order_model_offer_pb.Offer.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.SaveMultiOfferRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.SaveMultiOfferRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_order_model_offer_pb.Offer.serializeBinaryToWriter
    );
  }
};


/**
 * repeated fcp.order.v1.order.Offer items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.Offer>}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Offer>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_offer_pb.Offer, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Offer>} value
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferRequest} returns this
*/
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Offer=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Offer}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.Offer, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferRequest} returns this
 */
proto.fcp.order.v1.order_web.SaveMultiOfferRequest.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.SaveMultiOfferResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.SaveMultiOfferResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    isOk: jspb.Message.getBooleanFieldWithDefault(msg, 1, false),
    errsList: jspb.Message.toObjectList(msg.getErrsList(),
    v1_order_common_pb.ObjectError.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferResponse}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.SaveMultiOfferResponse;
  return proto.fcp.order.v1.order_web.SaveMultiOfferResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.SaveMultiOfferResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferResponse}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setIsOk(value);
      break;
    case 2:
      var value = new v1_order_common_pb.ObjectError;
      reader.readMessage(value,v1_order_common_pb.ObjectError.deserializeBinaryFromReader);
      msg.addErrs(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.SaveMultiOfferResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.SaveMultiOfferResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIsOk();
  if (f) {
    writer.writeBool(
      1,
      f
    );
  }
  f = message.getErrsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.ObjectError.serializeBinaryToWriter
    );
  }
};


/**
 * optional bool is_ok = 1;
 * @return {boolean}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.prototype.getIsOk = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 1, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.prototype.setIsOk = function(value) {
  return jspb.Message.setProto3BooleanField(this, 1, value);
};


/**
 * repeated fcp.order.v1.order.ObjectError errs = 2;
 * @return {!Array<!proto.fcp.order.v1.order.ObjectError>}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.prototype.getErrsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.ObjectError>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.ObjectError, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.ObjectError>} value
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferResponse} returns this
*/
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.prototype.setErrsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.ObjectError=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.ObjectError}
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.prototype.addErrs = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.ObjectError, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_web.SaveMultiOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.SaveMultiOfferResponse.prototype.clearErrsList = function() {
  return this.setErrsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.ActivateMultiOfferRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    v1_order_model_offer_pb.Offer.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferRequest}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.ActivateMultiOfferRequest;
  return proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.ActivateMultiOfferRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferRequest}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_offer_pb.Offer;
      reader.readMessage(value,v1_order_model_offer_pb.Offer.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.ActivateMultiOfferRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_order_model_offer_pb.Offer.serializeBinaryToWriter
    );
  }
};


/**
 * repeated fcp.order.v1.order.Offer items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.Offer>}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Offer>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_offer_pb.Offer, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Offer>} value
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferRequest} returns this
*/
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Offer=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Offer}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.Offer, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferRequest} returns this
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferRequest.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.ActivateMultiOfferResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    isOk: jspb.Message.getBooleanFieldWithDefault(msg, 1, false),
    errsList: jspb.Message.toObjectList(msg.getErrsList(),
    v1_order_common_pb.ObjectError.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferResponse}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.ActivateMultiOfferResponse;
  return proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.ActivateMultiOfferResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferResponse}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setIsOk(value);
      break;
    case 2:
      var value = new v1_order_common_pb.ObjectError;
      reader.readMessage(value,v1_order_common_pb.ObjectError.deserializeBinaryFromReader);
      msg.addErrs(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.ActivateMultiOfferResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIsOk();
  if (f) {
    writer.writeBool(
      1,
      f
    );
  }
  f = message.getErrsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.ObjectError.serializeBinaryToWriter
    );
  }
};


/**
 * optional bool is_ok = 1;
 * @return {boolean}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.prototype.getIsOk = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 1, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.prototype.setIsOk = function(value) {
  return jspb.Message.setProto3BooleanField(this, 1, value);
};


/**
 * repeated fcp.order.v1.order.ObjectError errs = 2;
 * @return {!Array<!proto.fcp.order.v1.order.ObjectError>}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.prototype.getErrsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.ObjectError>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.ObjectError, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.ObjectError>} value
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferResponse} returns this
*/
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.prototype.setErrsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.ObjectError=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.ObjectError}
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.prototype.addErrs = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.ObjectError, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_web.ActivateMultiOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.ActivateMultiOfferResponse.prototype.clearErrsList = function() {
  return this.setErrsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.DeleteMultiOfferRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    v1_order_model_offer_pb.Offer.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferRequest}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.DeleteMultiOfferRequest;
  return proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.DeleteMultiOfferRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferRequest}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_offer_pb.Offer;
      reader.readMessage(value,v1_order_model_offer_pb.Offer.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.DeleteMultiOfferRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_order_model_offer_pb.Offer.serializeBinaryToWriter
    );
  }
};


/**
 * repeated fcp.order.v1.order.Offer items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.Offer>}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Offer>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_offer_pb.Offer, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Offer>} value
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferRequest} returns this
*/
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Offer=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Offer}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.Offer, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferRequest} returns this
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferRequest.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.DeleteMultiOfferResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    isOk: jspb.Message.getBooleanFieldWithDefault(msg, 1, false),
    errsList: jspb.Message.toObjectList(msg.getErrsList(),
    v1_order_common_pb.ObjectError.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferResponse}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.DeleteMultiOfferResponse;
  return proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.DeleteMultiOfferResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferResponse}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setIsOk(value);
      break;
    case 2:
      var value = new v1_order_common_pb.ObjectError;
      reader.readMessage(value,v1_order_common_pb.ObjectError.deserializeBinaryFromReader);
      msg.addErrs(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.DeleteMultiOfferResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIsOk();
  if (f) {
    writer.writeBool(
      1,
      f
    );
  }
  f = message.getErrsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.ObjectError.serializeBinaryToWriter
    );
  }
};


/**
 * optional bool is_ok = 1;
 * @return {boolean}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.prototype.getIsOk = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 1, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.prototype.setIsOk = function(value) {
  return jspb.Message.setProto3BooleanField(this, 1, value);
};


/**
 * repeated fcp.order.v1.order.ObjectError errs = 2;
 * @return {!Array<!proto.fcp.order.v1.order.ObjectError>}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.prototype.getErrsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.ObjectError>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.ObjectError, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.ObjectError>} value
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferResponse} returns this
*/
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.prototype.setErrsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.ObjectError=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.ObjectError}
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.prototype.addErrs = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.ObjectError, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_web.DeleteMultiOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.DeleteMultiOfferResponse.prototype.clearErrsList = function() {
  return this.setErrsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.RejectMultiOfferRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.RejectMultiOfferRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    v1_order_model_offer_pb.Offer.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferRequest}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.RejectMultiOfferRequest;
  return proto.fcp.order.v1.order_web.RejectMultiOfferRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.RejectMultiOfferRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferRequest}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_offer_pb.Offer;
      reader.readMessage(value,v1_order_model_offer_pb.Offer.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.RejectMultiOfferRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.RejectMultiOfferRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_order_model_offer_pb.Offer.serializeBinaryToWriter
    );
  }
};


/**
 * repeated fcp.order.v1.order.Offer items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.Offer>}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Offer>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_offer_pb.Offer, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Offer>} value
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferRequest} returns this
*/
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Offer=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Offer}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.Offer, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferRequest} returns this
 */
proto.fcp.order.v1.order_web.RejectMultiOfferRequest.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_web.RejectMultiOfferResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_web.RejectMultiOfferResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    isOk: jspb.Message.getBooleanFieldWithDefault(msg, 1, false),
    errsList: jspb.Message.toObjectList(msg.getErrsList(),
    v1_order_common_pb.ObjectError.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferResponse}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_web.RejectMultiOfferResponse;
  return proto.fcp.order.v1.order_web.RejectMultiOfferResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_web.RejectMultiOfferResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferResponse}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setIsOk(value);
      break;
    case 2:
      var value = new v1_order_common_pb.ObjectError;
      reader.readMessage(value,v1_order_common_pb.ObjectError.deserializeBinaryFromReader);
      msg.addErrs(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_web.RejectMultiOfferResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_web.RejectMultiOfferResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIsOk();
  if (f) {
    writer.writeBool(
      1,
      f
    );
  }
  f = message.getErrsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.ObjectError.serializeBinaryToWriter
    );
  }
};


/**
 * optional bool is_ok = 1;
 * @return {boolean}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.prototype.getIsOk = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 1, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.prototype.setIsOk = function(value) {
  return jspb.Message.setProto3BooleanField(this, 1, value);
};


/**
 * repeated fcp.order.v1.order.ObjectError errs = 2;
 * @return {!Array<!proto.fcp.order.v1.order.ObjectError>}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.prototype.getErrsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.ObjectError>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.ObjectError, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.ObjectError>} value
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferResponse} returns this
*/
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.prototype.setErrsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.ObjectError=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.ObjectError}
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.prototype.addErrs = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.ObjectError, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_web.RejectMultiOfferResponse} returns this
 */
proto.fcp.order.v1.order_web.RejectMultiOfferResponse.prototype.clearErrsList = function() {
  return this.setErrsList([]);
};


goog.object.extend(exports, proto.fcp.order.v1.order_web);
